PKGCTL-VERSION-SETUP(1)

NOME
pkgctl-version-setup - Detecta e configura automaticamente uma configuração básica do nvchecker

SINOPSE

pkgctl version setup [OPÇÕES] [PKGBASE...]

DESCRIÇÃO

Este subcomando automatiza a criação de um arquivo de configuração básico nvchecker(1) analisando o array de fontes especificada no arquivo PKGBUILD(1) de um pacote. Este comando detecta de forma inteligente várias plataformas e APIs (por exemplo, GitHub, GitLab, PyPI) usadas pelas fontes do pacote e gera uma configuração .nvchecker.toml correspondente com base em sua melhor estimativa.

Isso é particularmente útil para inicializar as configurações do nvchecker(1) para um pacote sem criar manualmente o arquivo .nvchecker.toml. Ele simplifica o processo de configuração de verificações de versão, especialmente ao fazer a transição de um monitoramento de pacote de uma plataforma de fontes para outra ou ao iniciar verificações de versão para um novo pacote.

Se nenhum PKGBASE for especificado, o comando usará por padrão o diretório de trabalho atual.

Para obter uma lista de fontes suportadas e seus formatos de URL esperados, consulte a seção de fontes.

OPÇÕES

-f, --force
    Sobrescreve a configuração existente do nvchecker(1)

--prefer-platform-api
    Prefere a API GitHub/GitLab específica da plataforma em vez do Git para casos complexos

--url URL
    Deriva o alvo de verificação do URL fornecido em vez das entradas do array de fontes

--no-check
    Não executa pkgctl-version-check(1) após a configuração

--no-upstream
    Define uma configuração em branco para pacotes sem fontes upstream, como metapacotes. Isso deve ser usado apenas em casos sem upstream. Entre em contato com a equipe de desenvolvimento para obter orientação sobre fontes upstream difíceis de configurar.

-h, --help
    Mostra um texto de ajuda.

FONTES

Aqui estão as plataformas e fontes atualmente suportadas, juntamente com exemplos de formatos de URL que permitem sua detecção automática como tipos de fontes específicos:

Git

        •

        •

        • git://git.foobar.org/example

        • git+https://git.foobar.org/example

GitHub

        •

        •

GitLab

        •

        •

        •

Hackage

        •

        •

        •

NPM

        •

        •

PyPI

        •

        •

        •

        •

RubyGems

        •

        •

CPAN

        •

        •

crates.io

        •

        •

        •

EXEMPLOS

pkgctl version setup
    Detecta fontes do diretório atual’s PKGBUILD(1) e configura um .nvchecker.toml básico.

pkgctl version setup --url
    Gera um .nvchecker.toml para o PKGBUILD(1) atual, mas substitui a URL de fontes pelo projeto GitHub especificado.

VEJA TAMBÉM

pkgctl-version(1) pkgctl-version-check(1) nvchecker(1) PKGBUILD(5)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).